#include <lorina/aiger.hpp>
#include <mockturtle/mockturtle.hpp>

int main() {
  mockturtle::mig_network mig;

  auto const result = lorina::read_aiger("aig.aig", mockturtle::aiger_reader(mig) );
  if ( result != lorina::return_code::success ) {
    std::cout << "Read AIG failed\n";
    return -1;
  }
  
  // output
  mockturtle::write_verilog(mig, "mig.v");

  return 0;
}